Copyright: Copyright 1995, Novell, Inc.


123 Function Category:
Lotus 123 ALM Functions

Get 123 Data

Play 123 Macro

Put 123 Data


Get 123 Data

Platform	MS Windows

Action	Retrieves the values of Lotus 123 spreadsheet cells, either by cell name or cell reference.  If Lotus 123 is not open, it will be opened to the specified worksheet and remain open.  If Lotus 123 is already open, the specified worksheet will be loaded.

Note:  Lotus 123 cannot be closed under program control once it is opened.

Input Parameters

FileName	Specifies the file from which to retrieve data.  Type Required Text

CellRange	Specifies the range of cells from which to retrieve data.  Type Required Text

Output Parameters

Data	Returns the retrieved data.  Type Optional Text

Flows

Retrieved	Followed after the data has been retrieved

Failed	Followed if the data cannot be retrieved


Play 123 Macro

Platform	MS Windows

Action	Plays a Lotus 123 spreadsheet macro either by file name or by cell reference.  If  Lotus 123 is not open, it will be opened to the specified worksheet and  remain open.  If Lotus 123 is already open, the specified worksheet will be loaded.

Note:  Lotus 123 cannot be closed under program control once it is opened.

Input Parameters

FileName	Name of the file to be effected.  Type Required Text

MacroName	Name of the macro to be played.  Type Required Text

Flows

Played	Followed after the macro has successfully completed

Failed	Followed if the macro cannot be played


Put 123 Data

Platform	MS Windows

Action	Places data in a Lotus 123 spreadsheet cell, specified by cell name or cell reference.  If Lotus 123 is not open, it will be opened to the specified worksheet and remain open.  If Lotus 123 is already open, the specified worksheet will be loaded.

Note:  Lotus 123 cannot be closed under program control once it is opened.

Input Parameters

FileName	The name of the file in which to place the data.  Type Required Text

CellRange	The range of cells in which to place the data.  Type Required Text

Data	The data to be placed in the cells.  Type Required Text

Flows

Placed	Followed after the data is successfully placed.

Failed	Followed if the data cannot be placed.